Warn when uploading files with no extension
Closed, ResolvedPublic

Description

Author: dars_vaeda

Description:
if you don't (or forget to) attach a file extension to the destination name
mediawiki puts out the following error:
"." is not a recommended image file format.

that is a bit confusing, it should say something like this:
you did not attach a file extension to the destination name, please enter any to
upload your file.

ps: maybe you could check what file extension the selected file has and attach
it to the destination name?


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 21 2014, 9:35 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz8907.
bzimport created this task.Via LegacyFeb 6 2007, 11:56 PM
Raymond added a comment.Via ConduitMar 12 2007, 11:50 AM

Already fixed with r20100 (bug 8728)

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:50 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:52 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.